Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## baseCode.algorithm.learning.unsupervised.cluster
Class Cluster

    java.lang.Object
      baseCode.common.Visitable
          baseCode.common.Distanceable
              baseCode.algorithm.learning.unsupervised.cluster.Cluster

All Implemented Interfaces:
  java.lang.Comparable

public class Cluster
extends Distanceable

Copyright (c) 2004 Columbia University

Version:
  $Id: Cluster.java,v 1.3 2004/08/11 22:53:43 pavlidis Exp $
Author:
  pavlidis

Field Summary
`protected Distancer` | `distAlg`
`protected java.util.Collection` | `items`

Constructor Summary
`Cluster()`
`Cluster(java.util.Collection items, Distancer distAlg)`
`Cluster(java.lang.Object item, Distancer distAlg)`

Method Summary
`void` | `addItem(Cluster item)`
`int` | `compareTo(java.lang.Object o)`
`double` | `distanceTo(Distanceable a)`
`boolean` | `isCompound()`
`java.util.Collection` | `toCollection()` Return a collections view of the object.

Methods inherited from class baseCode.common.Visitable
`isVisited, mark, unMark`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### distAlg

    protected Distancer distAlg

### items

    protected java.util.Collection items

Constructor Detail

### Cluster

    public Cluster()

### Cluster

    public Cluster(java.lang.Object item,
                   Distancer distAlg)

### Cluster

    public Cluster(java.util.Collection items,
                   Distancer distAlg)

Method Detail

### addItem

    public void addItem(Cluster item)

### isCompound

    public boolean isCompound()

  Returns:
    true if this cluster is made up of multiple distanceables, or multiple ones.

### distanceTo

    public double distanceTo(Distanceable a)

  Specified by:
    `distanceTo` in class `Distanceable`
  Parameters:
    `a` -
  Returns:

### compareTo

    public int compareTo(java.lang.Object o)

### toCollection

    public java.util.Collection toCollection()

  Description copied from class: `Distanceable`
  Return a collections view of the object. The implementer has to make sure the Collection is of Distanceables.

  Specified by:
    `toCollection` in class `Distanceable`
  Returns:
    @todo not very elegant...

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2005 Columbia University. All Rights Reserved.